template/script/hooks/pre-commit in penchant-0.2.17 vs template/script/hooks/pre-commit in penchant-0.2.18
- old
+ new
@@ -1,6 +1,12 @@
#!/bin/bash
+if [ $(bundle exec rake -T preflight_check | wc -l) -eq 1 ]; then
+ bundle exec rake preflight_check
+ R=$?
+ if [ $R -ne 0 ]; then exit $R; fi
+fi
+
unset GIT_DIR
penchant gemfile remote --deployment
GIT_DIR=$OLD_GIT_DIR
git add Gemfile*